| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::sSerialPortSettings Struct Reference

Serial port settings. More...

`#include <VISAInstrumentTypes.h>`

## Public Member Functions
| sSerialPortSettings ()
| Constructor.

## Public Attributes
std::string | COMPort
| [-] String identifying the serial port to connect to
eSerialBaudrate | Baudrate
| [bd] Speed of the serial communication
eSerialDataBits | DataBits
| [-] Number of transmitted bits per packet
eSerialParity | Parity
| [-] Parity configuration of the serial communication
eSerialStopBits | StopBits
| [-] Stop bit configuration of the serial communication
eSerialHandshake | Handshake
| [-] Handshake configuration of the serial communication
eSerialTermMode | ReadTermMode
| [-] Termination Read mode of the serial communication
char | ReadTermChar
| [-] Specific termination character when readTermMode = kEndTermChar

## Detailed Description

Serial port settings.

Definition at line 167 of file VISAInstrumentTypes.h.

## Constructor & Destructor Documentation

## ◆ sSerialPortSettings()

MTL::Instrument::sSerialPortSettings::sSerialPortSettings | ( |  | ) |
| inline

Constructor.

Definition at line 176 of file VISAInstrumentTypes.h.

## Member Data Documentation

## ◆ Baudrate

eSerialBaudrate MTL::Instrument::sSerialPortSettings::Baudrate

[bd] Speed of the serial communication

Definition at line 169 of file VISAInstrumentTypes.h.

## ◆ COMPort

std::string MTL::Instrument::sSerialPortSettings::COMPort

[-] String identifying the serial port to connect to

Definition at line 168 of file VISAInstrumentTypes.h.

## ◆ DataBits

eSerialDataBits MTL::Instrument::sSerialPortSettings::DataBits

[-] Number of transmitted bits per packet

Definition at line 170 of file VISAInstrumentTypes.h.

## ◆ Handshake

eSerialHandshake MTL::Instrument::sSerialPortSettings::Handshake

[-] Handshake configuration of the serial communication

Definition at line 173 of file VISAInstrumentTypes.h.

## ◆ Parity

eSerialParity MTL::Instrument::sSerialPortSettings::Parity

[-] Parity configuration of the serial communication

Definition at line 171 of file VISAInstrumentTypes.h.

## ◆ ReadTermChar

char MTL::Instrument::sSerialPortSettings::ReadTermChar

[-] Specific termination character when readTermMode = kEndTermChar

Definition at line 175 of file VISAInstrumentTypes.h.

## ◆ ReadTermMode

eSerialTermMode MTL::Instrument::sSerialPortSettings::ReadTermMode

[-] Termination Read mode of the serial communication

Definition at line 174 of file VISAInstrumentTypes.h.

## ◆ StopBits

eSerialStopBits MTL::Instrument::sSerialPortSettings::StopBits

[-] Stop bit configuration of the serial communication

Definition at line 172 of file VISAInstrumentTypes.h.

The documentation for this struct was generated from the following file:

- Common/VISAInstrument/include/VISAInstrumentTypes.h